maven dependency for apache poi 4.0.0

Ads
 

maven dependency for apache poi 4.0.0

Hi,

I want to know the maven dependency code which I should add into my maven project to include Apache POI 4.0.0 library.

What is the maven dependency code for Apache poi 4.0.0?

Thanks

View Answers

October 29, 2018 at 8:17 PM

Hi,

Apache POI is Java library from Apache software foundation which is used to read and write Microsoft Office document format files.

Apache POI 4.0.0 comes with many new features, developers using old version of library should update their system to use latest libraries. Apache POI 4.0.0 removed supported for Java 6 and 7, now the minimum version requirement is Java 8.

Here is the code you can add into pom.xml file of your project:

<dependency>
    <groupId>org.apache.poi</groupId>
    <artifactId>poi</artifactId>
    <version>4.0.0</version>
</dependency>

If you are using Gradle then you can add following code:

compile group: 'org.apache.poi', name: 'poi', version: '4.0.0'

Users using SBT tool in their project can use following code:

libraryDependencies += "org.apache.poi" % "poi" % "4.0.0"

Thanks

Ads









Related Tutorials/Questions & Answers:
Maven dependency for Apache POI
Maven dependency for Apache POI  Hi, How to get Apache POI dependency in my Eclipse Project? In my project I am using maven for dependency management and its a Eclipse project. I am looking to find Maven dependency for Apache
How to use Apache POI?
How to use Apache POI?  Can anyone tell me how to use Apache POI??I... the following link: http://download.nextag.com/apache/poi/release/bin/ Then put the poi-3.2-FINAL-20081019.jar,poi-contrib-3.2-FINAL-20081019.jar and poi
Advertisements
Maven Dependency poi >> 2.0-final-20040126
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version2.0-final-20040126 in your project
Maven Dependency poi >> 2.5-final-20040302
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version2.5-final-20040302 in your project
Maven Dependency poi >> 3.0.2-beta2
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0.2-beta2 in your project
Maven Dependency poi >> 3.0-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0-FINAL in your project
Maven Dependency poi >> 3.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.1-FINAL in your project
Maven Dependency poi >> 1.8.0-dev-20020919
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version1.8.0-dev-20020919 in your project
Maven Dependency poi >> 2.5.1
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version2.5.1 in your project
Maven Dependency poi >> 2.5.1-final-20040804
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version2.5.1-final-20040804 in your project
Maven Dependency poi >> 3.0.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0.1-FINAL in your project
Maven Dependency poi >> 3.0.2-beta1
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0.2-beta1 in your project
Maven Dependency poi >> 3.0.2-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0.2-FINAL in your project
Maven Dependency poi >> 3.0-alpha3
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.0-alpha3 in your project
Maven Dependency poi >> 3.1-beta1
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.1-beta1 in your project
Maven Dependency poi >> 3.1-beta2
You should include the dependency code given in this page to add Maven Dependency of poi >> poi version3.1-beta2 in your project
Maven Dependency poi-contrib >> 2.0-final-20040126
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version2.0-final-20040126 in your project
Maven Dependency poi-contrib >> 2.5.1-final-20040804
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version2.5.1-final-20040804 in your project
Maven Dependency poi-contrib >> 3.0.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.0.1-FINAL in your project
Maven Dependency poi-contrib >> 3.0.2-beta1
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.0.2-beta1 in your project
Maven Dependency poi-contrib >> 3.0.2-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.0.2-FINAL in your project
Maven Dependency poi-contrib >> 3.1-beta1
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.1-beta1 in your project
Maven Dependency poi-contrib >> 3.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.1-FINAL in your project
Maven Dependency poi-scratchpad >> 2.0-final-20040126
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-scratchpad version2.0-final-20040126 in your project
Maven Dependency poi-scratchpad >> 3.0.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-scratchpad version3.0.1-FINAL in your project
Maven Dependency poi-scratchpad >> 3.0.2-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-scratchpad version3.0.2-FINAL in your project
Maven Dependency poi-scratchpad >> 3.1-FINAL
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-scratchpad version3.1-FINAL in your project
Maven Dependency poi-contrib >> 2.5-final-20040302
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version2.5-final-20040302 in your project
Maven Dependency poi-contrib >> 3.0.2-beta2
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.0.2-beta2 in your project
Maven Dependency poi-contrib >> 3.1-beta2
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib version3.1-beta2 in your project
Maven Dependency poi-contrib-2.5.1-final >> 20040804
You should include the dependency code given in this page to add Maven Dependency of poi >> poi-contrib-2.5.1-final version20040804 in your project

Ads